Bug 523867 - default theme too slow
Summary: default theme too slow
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 22:59 UTC by Mikel Ward
Modified: 2015-01-14 23:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:41:31 UTC


Attachments (Terms of Use)

Description Mikel Ward 2009-09-16 22:59:18 UTC
Description of problem:
With a standard F11 install, I can't type my username, Enter, password quickly.  I have to press Enter to select the first (and only) user from the list, wait a couple seconds, then type my password.

I should be able to type my password immediately.

Also can't find any way to change the GDM theme to something less resource intensive (no System->Administration->Login Screen or gdmgreeter program I can find).

Version-Release number of selected component (if applicable):
gdm-2.26.1-13.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Clean install F11
2. Add only one user
3. Press Enter on the login screen and immediately start typing your password
  
Actual results:
Not all the password is accepted

Expected results:
The password field is ready immediately and all the typed password is accepted

Additional info:
Using an "nVidia Corporation Quadro NVS 135M" video card with the default open source driver.  The nVidia binary driver is faster, but doesn't work with kernel 2.6.30 and Fedora 11 AFAICT.

There was a similar bug a while ago to disable GTK typeahead find, and I think that was fixed a few releases ago.  Now the issue is still that I can't type my password.

Comment 1 Mikel Ward 2009-09-16 23:03:01 UTC
Nope, can't find a similar bug in Red Hat or Gnome Bugzilla, so maybe I just worked around it previously and didn't report it.

Comment 2 Mikel Ward 2009-09-16 23:11:47 UTC
Disabling the user list as per http://library.gnome.org/admin/gdm/2.26/gdm.html#greeterconfiguration

gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/gdm/simple-greeter/disable_user_list true

seems to help.

Comment 3 Sergey Rudchenko 2009-09-17 18:22:00 UTC
Thank you for the bug report.

> Not all the password is accepted
Does this happen if you wait until the editbox fully appeared and test cursor blinks?

Could you provide a rough quantitative measurement of the delay? (1 or 3 or maybe 10 seconds?)

Also please provide the result of such command:
$ cat /proc/cpuinfo  | grep 'model name'

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Mikel Ward 2009-09-21 03:54:01 UTC
With user list disabled, the delay is about 0.5 seconds, long enough that about the first two letters of my password are not registered.

With user list enabled (default), the delay is even longer.

Oddly, the same delay happens between pressing Enter on the Other... list item that appears that gets me to the Username prompt with disable_user_list=true, but all the keypresses in my username are properly registered, albeit with a typeahead find box appearing briefly.

CPU is Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz.

Comment 5 Mikel Ward 2009-11-18 21:35:29 UTC
Usin slim now.  It's much faster.
http://slim.berlios.de/

Comment 6 Bug Zapper 2010-04-28 10:24:58 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:41:31 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.